    <?xml version="1.0"?>
<JWM>
    <!-- The root menu. -->
    <RootMenu onroot="12">

<!-- ============================================================= -->

        <Menu icon="xfce-system-settings.svg" label="Set System">

            <Menu icon="folder" label="Calculator">
<Program label="Default"    >set-menu-program calculator   default        </Program>
<Program label="FoxCalc"    >set-menu-program calculator   foxcalc        </Program>
<Program label="KavCalc"    >set-menu-program calculator   kavcalc        </Program>
<Program label="Qalculate"  >set-menu-program calculator   qalculate      </Program>

                <Menu icon="folder" label="HP Calculators">
<Program label="HP-11c"  >set-menu-program calculator hp11c  </Program>
<Program label="HP-12c"  >set-menu-program calculator hp12c  </Program>
<Program label="HP-15c"  >set-menu-program calculator hp15c  </Program>
<Program label="HP-16c"  >set-menu-program calculator hp16c  </Program>
<Program label="HP-21"   >set-menu-program calculator hp21   </Program>
<Program label="HP-25"   >set-menu-program calculator hp25   </Program>
<Program label="HP-32e"  >set-menu-program calculator hp32e  </Program>
<Program label="HP-33c"  >set-menu-program calculator hp33c  </Program>
<Program label="HP-34c"  >set-menu-program calculator hp34c  </Program>
<Program label="HP-35"   >set-menu-program calculator hp35   </Program>
<Program label="HP-37e"  >set-menu-program calculator hp37e  </Program>
<Program label="HP-38c"  >set-menu-program calculator hp38c  </Program>
<Program label="HP-38e"  >set-menu-program calculator hp38e  </Program>
<Program label="HP-41cv" >set-menu-program calculator hp41cv </Program>
<Program label="HP-41cx" >set-menu-program calculator hp41cx </Program>
<Program label="HP-45"   >set-menu-program calculator hp45   </Program>
<Program label="HP-55"   >set-menu-program calculator hp55   </Program>
<Program label="HP-80"   >set-menu-program calculator hp80   </Program>

<Program label="Free42 Binary"  >set-menu-program calculator free42bin </Program>
<Program label="Free42 Decimal" >set-menu-program calculator free42dec </Program>
                </Menu>
            </Menu>

            <Menu icon="folder" label="Music Player">
<Program label="Default"              >set-menu-program music-player default     </Program>
<Program label="Alsaplayer"           >set-menu-program music-player alsaplayer  </Program>
<Program label="Audacious"            >set-menu-program music-player audacious   </Program>
<Program label="Media Player Classic" >set-menu-program music-player mpcqt       </Program>
<Program label="Parole"               >set-menu-program music-player parole      </Program>
<Program label="Rhythmbox"            >set-menu-program music-player rhythmbox   </Program>
<Program label="Strawberry"           >set-menu-program music-player strawberry  </Program>
            </Menu>

            <Menu icon="folder" label="Notepad">
<Program label="default"    >set-menu-program notepad      default        </Program>
<Program label="gedit"      >set-menu-program notepad      gedit          </Program>
<Program label="leafpad"    >set-menu-program notepad      leafpad        </Program>
<Program label="mousepad"   >set-menu-program notepad      mousepad       </Program>
<Program label="notepadqq"  >set-menu-program notepad      notepadqq      </Program>
            </Menu>

            <Menu icon="folder" label="Paint">
<Program label="Default"    >set-menu-program paint        default        </Program>
<Program label="GIMP"       >set-menu-program paint        gimp           </Program>
<Program label="GPaint"     >set-menu-program paint        gpaint         </Program>
<Program label="TuxPaint"   >set-menu-program paint        tuxpaint       </Program>
            </Menu>

            <Menu icon="folder" label="Terminal">
<Program label="Default"    >set-menu-program terminal default            </Program>
<Program label="alacritty"  >set-menu-program terminal alacritty          </Program>
<Program label="gnome"      >set-menu-program terminal gnome-terminal     </Program>
<Program label="xfce4"      >set-menu-program terminal xfce4-terminal     </Program>
<Program label="xterm"      >set-menu-program terminal xterm              </Program>
            </Menu>

            <Menu icon="folder" label="Video Editor">
<Program                              label="Default"       >set-menu-program video-editor default       </Program>
<Program icon="jwm-avidemux.png"      label="Avidemux"      >set-menu-program video-editor avidemux      </Program>
<Program icon="jwm-cinellera-cve.png" label="Cinelerra CVE" >set-menu-program video-editor cinelerra-cve </Program>
<Program icon="jwm-shotcut.png"       label="Shotcut"       >set-menu-program video-editor shotcut       </Program>
            </Menu>

            <Menu icon="folder" label="Video Player">
<Program                              label="Default"              >set-menu-program video-editor default       </Program>
<Program icon="jwm-baka-mplayer.svg"  label="Baka-MPlayer"         >set-menu-program video-player baka-mplayer  </Program>
<Program icon="jwm-mpcqt.svg"         label="Media Player Classic" >set-menu-program video-player mpcqt         </Program>
<Program                              label="Parole"               >set-menu-program video-player parole        </Program>
<Program                              label="VLC"                  >set-menu-program video-player vlc           </Program>
            </Menu>

            <Menu icon="folder" label="Wallpaper">
<Program label="Default"               >setbackground default            </Program>

                <Menu icon="folder" label="Live Wallpaper">
<Program label="Cafe"                  >setbackground cafe               </Program>
<Program label="Fish"                  >setbackground xfishtank          </Program>
<Program label="XEarth"                >setbackground xearth             </Program>
                </Menu>

<Program label="Anthony Ant"           >setbackground Anthony_Ant        </Program>
<Program label="Blue Balloons"         >setbackground Blue_Balloons      </Program>
<Program label="Dice Seven"            >setbackground Dice_Seven         </Program>
<Program label="Krupskin Penguins"     >setbackground Krupski_Penguins   </Program>
<Program label="La Jolla Sunset"       >setbackground La_Jolla_Sunset    </Program>
<Program label="Qimo Day"              >setbackground Qimo_Day           </Program>
<Program label="Qimo Dusk"             >setbackground Qimo_Dusk          </Program>
<Program label="Strandhill"            >setbackground Strandhill         </Program>
<Program label="TuxBornXP"             >setbackground TuxBornXP          </Program>
            </Menu>
        </Menu>

<!-- ============================================================= -->

        <Menu icon="xfce-system-settings.svg" label="Run">

                <Menu icon="folder" label="Games and Toys">
                    <Menu icon="folder" label="Addictive Puzzles">
<Program label="Monsterz"       >monsterz  </Program>
<Program label="Pysweeper"      >pysweeper </Program>
<Program label="Turn 'Em Blue!" >bluetile  </Program>
                    </Menu>

                    <Menu icon="folder" label="Rocks'n'Diamonds">
                        <Menu icon="folder" label="RnD Remade Games">
<Program label="RnD Defender"          >rnd-defender        </Program>
<Program label="RnD Old West"          >rnd-oldwest         </Program>
<Program label="RnD Pacman"            >rnd-pacman          </Program>
<Program label="RnD Puzznic"           >rnd-puzznic         </Program>
<Program label="RnD SnakeBite"         >snakebite           </Program>
                        </Menu>
                        <Menu icon="folder" label="Boulder Type">
<Program label="RnD BD2K3"             >rnd-bd2k3           </Program>
<Program label="RnD BDDream"           >rnd-bddream         </Program>
<Program label="RnD Bojster"           >rnd-bojster         </Program>
<Program label="RnD BoulderDash"       >rnd-boulderdash     </Program>
<Program label="RnD Earth Shaker"      >rnd-earthshaker     </Program>
<Program label="RnD Einstein"          >rnd-einstein        </Program>
<Program label="RnD Gamera"            >rnd-gamera          </Program>
<Program label="RnD Haunted Mine"      >rnd-hauntedmine     </Program>
<Program label="RnD Herrmann"          >rnd-herrmann        </Program>
<Program label="RnD Supaplex"          >rnd-supaplex        </Program>
<Program label="RnD Walpurgis Gardens" >walpurgis-gardens   </Program>
<Program label="RnD Walpurgis World"   >walpurgis-world     </Program>
<Program label="RnD Wonder Mine"       >rnd-wonder          </Program>
                        </Menu>
                    </Menu>

                    <Menu icon="folder" label="Secret Maryo">
<Program icon="jwm-smc.png"      label="Secret Maryo Chronicles"     >smc     </Program>
<Program icon="jwm-tscgame.png"  label="Secret Chronicles of Dr. M." >tscgame </Program>
                    </Menu>

                    <Menu icon="folder" label="ScummVM">
<Program icon="jwm-steel-sky.png" label="Beneath a Steel Sky" >scummvm-dir Beneath_a_Steel_Sky </Program>
<Program icon="jwm-hoyle01.png"   label="Hoyle Book 01 Amiga" >scummvm-dir Hoyle_Book_01_Amiga </Program>
<Program icon="jwm-hoyle02.png"   label="Hoyle Book 02 Amiga" >scummvm-dir Hoyle_Book_02_Amiga </Program>
<Program icon="jwm-pjanyday.png"  label="PJ Sam Play Any Day" >scummvm-dir PJSam_AnyDay        </Program>
                    </Menu>

                    <Menu icon="folder" label="Math Toys">
<Program label="Ghost Diagrams" >ghost-diagrams  </Program>
<Program label="GtkLife"        >gtklife         </Program>
<Program label="Slide Rule"     >sliderule       </Program>
<Program label="XaoS"           >xaos            </Program>
                    </Menu>

                    <Menu icon="folder" label="Doom Games">
<Program                    label="K8vavoom"               >k8vavoom     </Program>
<Program                    label="PRFreeBoom"             >prfreeboom   </Program>
                    </Menu>

                    <Menu icon="folder" label="More Games">
<Program                    label="Asylum"                 >asylum       </Program>
<Program                    label="Bananas"                >bananas      </Program>
<Program icon="jwm-bsu.png" label="Chromium BSU"           >chromium-bsu </Program>
<Program                    label="Fish Supper"            >fishsupper   </Program>
<Program                    label="Monsters and Mushrooms" >monstermush  </Program>
<Program                    label="Open Invaders"          >openinv      </Program>
<Program                    label="Space Aryarya"          >aryarya      </Program>
<Program                    label="Tic Tac Toe"            >tictactoe    </Program>
                    </Menu>

                    <Menu icon="folder" label="More Toys">
                        <Menu icon="folder" label="Timeless">
<Program label="Timeless"      >timeless         </Program>
<Program label="Stop Timeless" >killany timeless </Program>
                        </Menu>

                <Separator />

<Program label="cacafire"       >cacafire        </Program>
<Program label="davefire"       >davefire        </Program>
                    </Menu>

                <Separator />

<Program icon="jwm-beworld.png"  label="BEWorld"  >beworld         </Program>
<Program                         label="Checkers" >checkers        </Program>
<Program icon="jwm-chess.svg"    label="Chess"    >wrap-eboard-bin </Program>
<Program                         label="PySolFC"  >pysolfc         </Program>
<Program                         label="Sudoku"   >sudoku          </Program>
<Program icon="jwm-supertux.svg" label="SuperTux" >supertux        </Program>
                </Menu>

                <Menu icon="folder" label="Internet">

                    <Menu icon="folder" label="Chat">
<Program icon="jwm-hexchat.svg"   label="HexChat"   >hexchat           </Program>
<Program icon="jwm-pidgin.svg"    label="Pidgin"    >pidgin            </Program>
                    </Menu>

                    <Menu icon="folder" label="FTP">
<Program icon="jwm-filezilla.svg" label="Filezilla" >filezilla         </Program>
<Program icon="jwm-gftp.svg"      label="gFTP"      >gftp              </Program>
                    </Menu>

                    <Menu icon="folder" label="Web Browsers">
<Program icon="chromium.png"      label="Chromium"    >chromium          </Program>
<Program icon="jwm-albusluna.png" label="AlbusLuna"   >albusluna         </Program>
<Program icon="jwm-netscape.svg"  label="Netscape"    >netscape          </Program>
<Program                          label="Minibrowser" >minibrowser       </Program>
                    </Menu>

                <Separator />

<Program icon="internet-mail.png" label="Email"     >epyrus              </Program>
                </Menu>

                <Menu icon="folder" label="Math">
<Program icon="jwm-genius.svg"      label="GUI Math System" >gnome-genius </Program>

                    <Menu icon="folder" label="Calculators">
<Program icon="jwm-foxcalc.png"     label="FoxCalc"         >foxcalc      </Program>
<Program                            label="KavCalc"         >kavcalc      </Program>
<Program icon="jwm-qalculate.svg"   label="Qalculate"       >qalculate    </Program>

                        <Menu icon="folder" label="HP Calculators">
<Program label="Stop"    >nonpareil stop </Program>

<Program label="HP-11c"  >hp11c  </Program>
<Program label="HP-12c"  >hp12c  </Program>
<Program label="HP-15c"  >hp15c  </Program>
<Program label="HP-16c"  >hp16c  </Program>
<Program label="HP-21"   >hp21   </Program>
<Program label="HP-25"   >hp25   </Program>
<Program label="HP-32e"  >hp32e  </Program>
<Program label="HP-33c"  >hp33c  </Program>
<Program label="HP-34c"  >hp34c  </Program>
<Program label="HP-35"   >hp35   </Program>
<Program label="HP-37e"  >hp37e  </Program>
<Program label="HP-38c"  >hp38c  </Program>
<Program label="HP-38e"  >hp38e  </Program>
<Program label="HP-41cv" >hp41cv </Program>
<Program label="HP-41cx" >hp41cx </Program>
<Program label="HP-45"   >hp45   </Program>
<Program label="HP-55"   >hp55   </Program>
<Program label="HP-80"   >hp80   </Program>

<Program label="Free42 Binary"  >free42bin </Program>
<Program label="Free42 Decimal" >free42dec </Program>
                        </Menu>
                    </Menu>

                    <Menu icon="folder" label="Math Toys">
<Program label="Ghost Diagrams" >ghost-diagrams </Program>
<Program label="GtkLife"        >gtklife        </Program>
<Program label="Slide Rule"     >sliderule      </Program>
<Program label="XaoS"           >xaos           </Program>
                    </Menu>
                </Menu>

                <Menu icon="folder" label="Multimedia">
                    <Menu icon="folder" label="Play Some Favorites">
<Program label="The OldCoder Song" >mpvstatic CodesStuff_-_OldCoder.mp3 </Program>
<Program label="Thank You Robert"  >mpvstatic Thank_You_Robert.mp4      </Program>
                    </Menu>

                    <Menu icon="folder" label="Image Tools">
                        <Menu icon="folder" label="Paint">
<Program icon="jwm-paint.svg"    label="GPaint"        >gpaint   </Program>
<Program icon="jwm-gimp.svg"     label="The GIMP"      >gimp     </Program>
<Program icon="jwm-tuxpaint.svg" label="TuxPaint"      >tuxpaint </Program>
                        </Menu>
                        <Separator />

<Program                         label="GColor2"       >gcolor2  </Program>
<Program                         label="Geeqie Viewer" >geeqie   </Program>
<Program icon="jwm-inkscape.svg" label="Inkscape"      >inkscape </Program>
<Program icon="jwm-gimp.svg"     label="The GIMP"      >gimp     </Program>
                    </Menu>

                    <Menu icon="folder" label="Music Players">
<Program label="Alsaplayer"            >alsaplayer </Program>
<Program label="Audacious"             >audacious  </Program>
<Program label="Media Player Classic"  >mpcqt      </Program>
<Program label="Parole"                >parole     </Program>
<Program label="Rhythmbox"             >rhythmbox  </Program>
<Program label="Strawberry"            >strawberry </Program>
                    </Menu>

                    <Menu icon="folder"   label="Video Editors">
<Program icon="jwm-avidemux.png"      label="Avidemux"      >avidemux      </Program>
<Program icon="jwm-cinellera-cve.png" label="Cinelerra CVE" >cinelerra-cve </Program>
<Program icon="jwm-shotcut.png"       label="Shotcut"       >shotcut       </Program>
                    </Menu>

                    <Menu icon="folder"   label="Video Players">
<Program icon="jwm-baka-mplayer.svg"  label="Baka-MPlayer"         >baka-mplayer  </Program>
<Program icon="jwm-mpcqt.svg"         label="Media Player Classic" >mpcqt         </Program>
<Program                              label="Parole"               >parole        </Program>
<Program                              label="VLC"                  >vlc           </Program>
                    </Menu>

                    <Menu icon="folder" label="Gnash SWF Player">
<Program label="Run Gnash"       >gnash-launcher                        </Program>
                        <Menu icon="folder" label="Play sample SWFs">
<Program label="From My Room"    >gnash-launcher from-my-room.swf       </Program>
<Program label="Hyakugojyuuichi" >gnash-launcher hyakugojyuuichi.swf    </Program>
<Program label="Magical Trevor"  >gnash-launcher magicaltrevor.swf      </Program>
<Program label="Shumway"         >gnash-launcher shumway.swf            </Program>
                        </Menu>
                    </Menu>

                    <Menu icon="folder" label="Clip Art">
                        <Menu icon="folder" label="Openclipart">
<Program label="Browse in browser" >chrome /mnt/openclipdata/ </Program>
<Program label="Browse in Thunar"  >thunar /mnt/openclipdata/ </Program>
                        </Menu>
                        <Menu icon="folder" label="WPClipArt">
<Program label="Browse in browser" >chrome /mnt/wpclipdata/   </Program>
<Program label="Browse in Thunar"  >thunar /mnt/wpclipdata/   </Program>
                        </Menu>
                    </Menu>

                    <Menu icon="folder"   label="More Video Tools">
<Program icon="jwm-handbrake.svg" label="HandBrake" >ghb                   </Program>
<Program icon="jwm-minitube.svg"  label="Minitube"  >minitube              </Program>
                    </Menu>
                </Menu>

                <Menu icon="folder" label="Notepad">
<Program label="gedit"     >gedit     </Program>
<Program label="leafpad"   >leafpad   </Program>
<Program label="mousepad"  >mousepad  </Program>
<Program label="notepadqq" >notepadqq </Program>
                </Menu>

                <Menu icon="folder" label="More Office Tools">
<Program icon="jwm-convertall.svg"  label="Convert Units" >convertall    </Program>
<Program icon="jwm-libreoffice.png" label="LibreOffice"   >soffice       </Program>
<Program icon="jwm-osmo.png"        label="Osmo"          >osmo          </Program>
<Program icon="jwm-scribus.png"     label="Scribus"       >scribus       </Program>
<Program icon="jwm-sigil.svg"       label="Sigil"         >sigil         </Program>
<Program                            label="Yudit"         >yudit         </Program>

                    <Menu icon="folder" label="Minimal">
<Program                            label="AbiWord"      >abiword        </Program>
<Program                            label="Gnumeric"     >gnumeric       </Program>
                    </Menu>
                </Menu>

                <Menu icon="folder" label="Search">
<Program icon="jwm-catfish.svg"     label="Catfish" >catfish </Program>
<Program icon="jwm-recoll.png"      label="Recoll"  >recoll  </Program>
                </Menu>

                <Menu icon="folder"   label="Terminals">
<Program label="alacritty"  >alacritty      </Program>
<Program label="gnome"      >gnome-terminal </Program>
<Program label="xfce4"      >xfce4-terminal </Program>
<Program label="xterm"      >xterm          </Program>
                </Menu>

                <Separator />

<Program icon="jwm-thunar.svg"       label="Archive Manager" >file-roller </Program>
<Program icon="jwm-thunar256.png"    label="File Manager"    >thunar      </Program>
<Program icon="jwm-gramps.svg"       label="Gramps"          >gramps      </Program>
<Program icon="jwm-qtemu.png"        label="QTEMU"           >qtemu       </Program>
        </Menu>

        <Separator />

<Program                      label="Reset PulseAudio" >resetpulse                </Program>
<Program icon="terminal2007b" label="Terminal"         >run-menu-program terminal </Program>
<Program icon="jwm-lock.svg"  label="Screen Lock"      >slock                     </Program>

        <Separator />

        <Exit label="Exit" confirm="true" icon="exit" />
    </RootMenu>

    <!-- Options for program groups. -->
    <Group>
        <Option>tiled</Option>
    </Group>
    <Group>
        <Name>xterm</Name>
        <Option>vmax</Option>
    </Group>
    <Group>
        <Name>xclock</Name>
        <Name>fishmon</Name>
        <Name>wmfishtime</Name>
        <Option>drag</Option>
        <Option>notitle</Option>
    </Group>

<!-- WM_CLASS(STRING) = "goldendict.bin", "GoldenDict" -->
<!-- name = 1st, class = 2nd ? -->

    <Group>
        <Name>GoldenDict</Name>
        <Class>GoldenDict</Class>
        <Name>HexChat</Name>
        <Class>HexChat</Class>
        <Name>goldendict.bin</Name>
        <Option>noclose</Option>
        <Option>nokill</Option>
        <Option>nofullscreen</Option>
        <Option>nolist</Option>
        <Option>nomaxmoo</Option>
        <Option>nomin</Option>
    </Group>

    <!-- Tray for start, Terminal, and taskbar -->
    <Tray x="0" y="-1" autohide="off" delay="1000" height="48">
        <TrayButton icon="greenstart">root:1</TrayButton>
        <TrayButton icon="terminal2007b">exec:run-menu-program terminal</TrayButton>
        <Spacer width="2"/>
        <TrayButton label="_">showdesktop</TrayButton>
        <Spacer width="2"/>
        <TaskList labeled="false" maxwidth="256"/>
    </Tray>

    <Tray layout="vertical"
        x="0" y="0" halign="left" valign="top"
        width="48" height="425"

        <TrayButton icon="jwm-chess.svg"        popup="Chess"              >
            exec:eboard
        </TrayButton>

        <TrayButton icon="jwm-recoll.png"       popup="Recoll"             >
            exec:recoll
        </TrayButton>

        <TrayButton icon="jwm-hexchat.svg"      popup="HexChat"            >
            exec:hexchat
        </TrayButton>

        <TrayButton icon="jwm-lock.svg"         popup="Screen Lock"        >
            exec:slock
        </TrayButton>

        <TrayButton icon="jwm-genius.svg"       popup="Math System"        >
            exec:gnome-genius
        </TrayButton>

        <TrayButton icon="jwm-avidemux.png"     popup="Video Editor"       >
            exec:run-menu-program video-editor
        </TrayButton>

        <TrayButton icon="jwm-gimp.svg"         popup="The GIMP"           >
            exec:gimp
        </TrayButton>

        <TrayButton icon="chromium.png"         popup="Chromium"           >
            exec:chromium
        </TrayButton>

        <TrayButton icon="jwm-libreoffice.png"  popup="LibreOffice"        >
            exec:soffice
        </TrayButton>
    </Tray>

    <Tray layout="vertical"
        x="49" y="0" valign="top"
        width="48" height="425"

        <TrayButton icon="jwm-beworld.png"      popup="BEWorld"            >
            exec:beworld
        </TrayButton>

        <TrayButton icon="jwm-catfish.svg"      popup="Catfish"            >
            exec:catfish
        </TrayButton>

        <TrayButton icon="jwm-pidgin.svg"       popup="Pidgin"             >
            exec:pidgin
        </TrayButton>

        <TrayButton icon="jwm-osmo.png"         popup="Osmo"               >
            exec:osmo
        </TrayButton>

        <TrayButton icon="jwm-qalculate.svg"    popup="Calculator"         >
            exec:run-menu-program calculator
        </TrayButton>

        <TrayButton icon="jwm-audio-editor.png" popup="Audio Editor"       >
            exec:tenacity
        </TrayButton>

        <TrayButton icon="jwm-paint.svg"        popup="Paint"              >
            exec:run-menu-program paint
        </TrayButton>

        <TrayButton icon="jwm-albusluna.png"    popup="Mozilla"            >
            exec:run-menu-program mozilla
        </TrayButton>

        <TrayButton icon="internet-mail.png"    popup="EMail"              >
            exec:epyrus
        </TrayButton>
    </Tray>

    <Tray layout="vertical"
        x="98" y="0" valign="top"
        width="48" height="425"

        <TrayButton icon="jwm-gramps.svg"       popup="Gramps"             >
            exec:gramps
        </TrayButton>

        <TrayButton icon="jwm-minitube.svg"     popup="Minitube"           >
            exec:minitube
        </TrayButton>

        <TrayButton icon="jwm-qtemu.png"        popup="QTEMU"              >
            exec:qtemu
        </TrayButton>

        <TrayButton icon="jwm-scribus.png"      popup="Desktop Publishing" >
            exec:scribus
        </TrayButton>

        <TrayButton icon="jwm-sigil.svg"        popup="EPub Editor"        >
            exec:sigil
        </TrayButton>

        <TrayButton icon="jwm-thunar256.png"    popup="File Manager"       >
            exec:thunar
        </TrayButton>

        <TrayButton icon="jwm-music.png"        popup="Music Player"       >
            exec:run-menu-program music-player
        </TrayButton>

        <TrayButton icon="jwm-baka-mplayer.svg" popup="Video Player"       >
            exec:run-menu-program video-player
        </TrayButton>

        <TrayButton icon="jwm-leafpad.svg"      popup="Notepad"            >
            exec:run-menu-program notepad
        </TrayButton>
    </Tray>

    <Tray layout="vertical" x="0"  y="450" halign="left" width="69">
        <Swallow width="60" height="62" name="fishmon">wmfishtime</Swallow>
    </Tray>

    <Tray layout="vertical" x="69" y="450" width="69">
        <Swallow width="60" height="62" name="wmmoonclock">wmmoonclock</Swallow>
    </Tray>

    <Tray valign="bottom" x="-300" y="-1"
         autohide="off" delay="1000" height="42">
        <Pager labeled="true" />
    </Tray>

    <Tray valign="bottom" halign="right" y="-1"
         autohide="off" delay="1000" height="48">
        <Dock />
    </Tray>

    <!-- Visual Styles -->
    <WindowStyle decorations="motif">
        <Font>Sans-12:bold</Font>
        <Width>4</Width>
        <Corner>0</Corner>
        <Foreground>#FFFFFF</Foreground>
        <Background>#555555</Background>
        <MOpacity>0.5</MOpacity>
        <Active>
            <Foreground>#FFFFFF</Foreground>
            <Background>#0077CC</Background>
            <MOpacity>1.0</MOpacity>
        </Active>
    </WindowStyle>

    <TrayStyle decorations="motif">
        <Font>Sans-12</Font>
        <Background>#888888</Background>
        <Foreground>#FFFFFF</Foreground>
        <MOpacity>0.75</MOpacity>
    </TrayStyle>

    <ClockStyle>
        <Font>Sans-11</Font>
    </ClockStyle>

    <TaskListStyle list="all" group="true">
      <Font>Sans-12</Font>
      <Active>
        <Foreground>#FFFFFF</Foreground>
        <Background>#555555</Background>
      </Active>
      <Foreground>#FFFFFF</Foreground>
      <Background>#333333</Background>
    </TaskListStyle>

    <PagerStyle>
        <Foreground>#555555</Foreground>
        <Background>#333333</Background>
        <Text>#FFFFFF</Text>
        <Active>
            <Foreground>#0077CC</Foreground>
            <Background>#004488</Background>
        </Active>
    </PagerStyle>

    <MenuStyle decorations="motif">
        <Font>Sans-12</Font>
        <Foreground>#FFFFFF</Foreground>
        <Background>#333333</Background>
        <Active>
            <Foreground>#FFFFFF</Foreground>
            <Background>#0077CC</Background>
        </Active>
        <MOpacity>0.85</MOpacity>
    </MenuStyle>

    <PopupStyle>
        <Font>Sans-12</Font>
        <Foreground>#000000</Foreground>
        <Background>#999999</Background>
    </PopupStyle>

    <!-- Path where icons can be found.
         IconPath can be listed multiple times to allow searching
         for icons in multiple paths.
      -->

    <IconPath>
        __META_PREFIX__/share/jwm/icons
    </IconPath>
    <IconPath>
        __META_PRODTREE__/tango2/share/icons/Tango2/actions/scalable
    </IconPath>
    <IconPath>
        __META_PRODTREE__/tango2/share/icons/Tango2/apps/scalable
    </IconPath>
    <IconPath>
        __META_PRODTREE__/tango2/share/icons/Tango2/categories/scalable
    </IconPath>
    <IconPath>
        __META_PRODTREE__/tango2/share/icons/Tango2/devices/scalable
    </IconPath>
    <IconPath>
        __META_PRODTREE__/tango2/share/icons/Tango2/emblems/scalable
    </IconPath>
    <IconPath>
        __META_PRODTREE__/tango2/share/icons/Tango2/emotes/scalable
    </IconPath>
    <IconPath>
        __META_PRODTREE__/tango2/share/icons/Tango2/mimetypes/scalable
    </IconPath>
    <IconPath>
        __META_PRODTREE__/tango2/share/icons/Tango2/places/scalable
    </IconPath>
    <IconPath>
        __META_PRODTREE__/tango2/share/icons/Tango2/status/scalable
    </IconPath>
    <IconPath>
        __META_PRODTREE__/tango/share/icons/Tango/scalable/actions
    </IconPath>
    <IconPath>
        __META_PRODTREE__/tango/share/icons/Tango/scalable/apps
    </IconPath>
    <IconPath>
        __META_PRODTREE__/tango/share/icons/Tango/scalable/categories
    </IconPath>
    <IconPath>
        __META_PRODTREE__/tango/share/icons/Tango/scalable/devices
    </IconPath>
    <IconPath>
        __META_PRODTREE__/tango/share/icons/Tango/scalable/emblems
    </IconPath>
    <IconPath>
        __META_PRODTREE__/tango/share/icons/Tango/scalable/emotes
    </IconPath>
    <IconPath>
        __META_PRODTREE__/tango/share/icons/Tango/scalable/mimetypes
    </IconPath>
    <IconPath>
        __META_PRODTREE__/tango/share/icons/Tango/scalable/places
    </IconPath>

    <IconPath>
        __META_PRODTREE__/tango/share/icons/Tango/scalable/status
    </IconPath>

    <!-- Virtual Desktops -->
    <!-- Desktop tags can be contained within Desktops for desktop names. -->

    <Desktops width="4" height="1">
        <!-- Default background. Note that a Background tag can be
              contained within a Desktop tag to give a specific background
              for that desktop.
         -->
        <Background type="solid">#111111</Background>
    </Desktops>

    <!-- Double click speed (in milliseconds) -->
    <DoubleClickSpeed>400</DoubleClickSpeed>

    <!-- Double click delta (in pixels) -->
    <DoubleClickDelta>2</DoubleClickDelta>

    <!-- The focus model (sloppy or click) -->
    <!-- Laclin: click -->
    <FocusModel>click</FocusModel>

    <!-- The snap mode (none, screen, or border) -->
    <SnapMode distance="10">border</SnapMode>

    <!-- The move mode (outline or opaque) -->
    <MoveMode>opaque</MoveMode>

    <!-- The resize mode (outline or opaque) -->
    <ResizeMode>opaque</ResizeMode>

    <!-- Key bindings -->
    <Key key="Up">up</Key>
    <Key key="Down">down</Key>
    <Key key="Right">right</Key>
    <Key key="Left">left</Key>
    <Key key="h">left</Key>
    <Key key="j">down</Key>
    <Key key="k">up</Key>
    <Key key="l">right</Key>
    <Key key="Return">select</Key>
    <Key key="Escape">escape</Key>

    <Key mask="A" key="Tab">nextstacked</Key>
    <Key mask="A" key="F4">close</Key>
    <Key mask="A" key="#">desktop#</Key>
    <Key mask="A" key="F1">root:1</Key>
    <Key mask="A" key="F2">window</Key>
    <Key mask="A" key="F10">maximize</Key>
    <Key mask="A" key="Right">rdesktop</Key>
    <Key mask="A" key="Left">ldesktop</Key>
    <Key mask="A" key="Up">udesktop</Key>
    <Key mask="A" key="Down">ddesktop</Key>

    <!-- Mouse bindings -->
    <Mouse context="root" button="4">ldesktop</Mouse>
    <Mouse context="root" button="5">rdesktop</Mouse>

    <Mouse context="title" button="1">move</Mouse>
    <Mouse context="title" button="2">move</Mouse>
    <Mouse context="title" button="3">window</Mouse>
    <Mouse context="title" button="4">shade</Mouse>
    <Mouse context="title" button="5">shade</Mouse>
    <Mouse context="title" button="11">maximize</Mouse>

    <Mouse context="icon" button="1">window</Mouse>
    <Mouse context="icon" button="2">move</Mouse>
    <Mouse context="icon" button="3">window</Mouse>
    <Mouse context="icon" button="4">shade</Mouse>
    <Mouse context="icon" button="5">shade</Mouse>

    <Mouse context="border" button="1">resize</Mouse>
    <Mouse context="border" button="2">move</Mouse>
    <Mouse context="border" button="3">window</Mouse>

    <Mouse context="close" button="-1">close</Mouse>
    <Mouse context="close" button="2">move</Mouse>
    <Mouse context="close" button="-3">close</Mouse>

    <Mouse context="maximize" button="-1">maximize</Mouse>
    <Mouse context="maximize" button="-2">maxv</Mouse>
    <Mouse context="maximize" button="-3">maxh</Mouse>

    <Mouse context="minimize" button="-1">minimize</Mouse>
    <Mouse context="minimize" button="2">move</Mouse>
    <Mouse context="minimize" button="-3">shade</Mouse>

    <Desktops width="4" height="1">
        <Background type="solid">#111111</Background>
    </Desktops>

    <StartupCommand>setbackground</StartupCommand>
    <StartupCommand>set-menu-program music-player</StartupCommand>
    <StartupCommand>cbatticon</StartupCommand>
    <StartupCommand>nocompton</StartupCommand>
    <StartupCommand>goldendict</StartupCommand>
    <StartupCommand>pavucontrol</StartupCommand>
    <StartupCommand>pa-applet</StartupCommand>
    <StartupCommand>__META_PRODTREE__/gtkcore/libexec/dconf-service</StartupCommand>
    <StartupCommand>redshift-start</StartupCommand>
    <StartupCommand>__META_PREFIX__/data/jwm-conky.pl</StartupCommand>
    <StartupCommand>flameshot</StartupCommand>
    <StartupCommand>audacious</StartupCommand>
</JWM>
